html, body {
    height: 100%;
    width: 100%;
}

.pokemon-card {
    border-radius: 10px;
    padding: 15px;
    text-align: left;
    position: relative;
    color: white;
}

.pokemon-image {
    width: 150px;
    height: 150px;
    margin-bottom: 10px;
}

.pokemon-name {
    font-weight: bold;
    margin-bottom: 5px;
}

.pokemon-number {
    font-size: 0.9em;
    margin-bottom: 10px;
}

.pokemon-type {
    display: inline-block;
    padding: 3px 10px;
    border-radius: 3px;
    font-size: 0.8em;
    margin-right: 5px;
    color: white;
}

/* Background colors for different Pokémon types */
.type-grass { background-color: #78c850; }
.type-poison { background-color: #a040a0; }
.type-fire { background-color: #f08030; }
.type-water { background-color: #6890f0; }
.type-bug { background-color: #a8b820; }
.type-normal { background-color: #a8a878; }
.type-electric { background-color: #f8d030; }
.type-ground { background-color: #e0c068; }
.type-fairy { background-color: #ee99ac; }
.type-flying { background-color: #1e76a8; }
.type-psychic { background-color: #f85888; }
.type-fighting { background-color: #c03028; }
.type-rock { background-color: #3a382f; }
.type-steel { background-color: #7c7c9b; }
.type-ice { background-color: #98d8d8; }
.type-ghost { background-color: #705898; }
.type-dragon { background-color: #7038f8; }

.pokemon-card .btn {
    position: absolute;
    bottom: 10px;
    right: 10px;
    background-color: white;
    color: black;
    font-weight: bold;
    border: none;
    border-radius: 5px;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pokemon-card .pokeball-icon {
    position: absolute;
    bottom: 10px;
    right: 50px;
    background-color: white;
    border-radius: 5px;
    width: 30px;
    height: 30px;
    padding: 5px;
    display: none;
}

.modal-body {
    display: flex;
}

.modal-body img {
    margin-right: 20px;
}

.modal-content {
    /* background-color: #333; */
    color: white;
    border: white 5px solid;
}

.nav-tabs .nav-link.active {
    /* background-color: #444;
    border-color: #444; */
}

.nav-tabs .nav-link {
    color: white;
}

.tab-content {
    margin-top: 20px;
}

.modal-header .btn-close {
    color: white;
}


.card-width {
    width: calc(100% / 3 - 20px); /* Adjust the width to match one card */
}